Page MenuHomePhabricator

C# bindings: Make efl_gesture_Manager.eo available to bindings
ClosedPublic

Authored by CHAN on Nov 8 2018, 10:53 PM.

Details

Summary

It was missing.

The efl_gesture_manager has to using in efl_sharp.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
CHAN created this revision.Nov 8 2018, 10:53 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN requested review of this revision.Nov 8 2018, 10:53 PM
CHAN edited the summary of this revision. (Show Details)Nov 8 2018, 10:55 PM
CHAN added reviewers: zmike, Jaehyun_Cho.

@CHAN
I think we can make gesture cs files after we verify that gesture interface works on C#.

Could you check gesture interface works on C#?

To check if the gestures C# interface works you will probably need to write a little test program. Can I ask you to commit the test program as a unit test or as an example? Thanks!

CHAN added a subscriber: Unknown Object (User).EditedNov 22 2018, 3:40 AM

@xavi sorry i'm late.

Yes why not, now i'm doing add new gesture recognizer and event. i will put on example and new cleasses when im done. thanks.

Jaehyun_Cho requested changes to this revision.Jan 23 2019, 9:37 PM

@CHAN
Please add the following code to src/Makefile_Efl_Mono.am to build C# bindings.

$(evas_gesture_eolian_type_files:%.eot=%.eot.cs) \

This revision now requires changes to proceed.Jan 23 2019, 9:37 PM
CHAN updated this revision to Diff 19902.Mar 3 2019, 11:57 PM
CHAN edited the summary of this revision. (Show Details)

Add type files for C# binding.

CHAN added a comment.Mar 3 2019, 11:57 PM

@Jaehyun_Cho Thanks for reviewing.

Jaehyun_Cho accepted this revision.Mar 7 2019, 9:26 PM
This revision is now accepted and ready to land.Mar 7 2019, 9:26 PM
Closed by commit rEFLebb34ef5182c: C# bindings: Make efl_gesture_Manager.eo available to bindings (authored by Woochanlee <wc0917.lee@samsung.com>, committed by segfaultxavi). · Explain WhyApr 2 2019, 9:57 AM
This revision was automatically updated to reflect the committed changes.